<?php
/*
Plugin Name: Salesmate Add-On for Gravity Forms
Plugin URI: https://www.salesmate.io/
Description: A gravity add-on for salemate.io
Version: 2.0.3
Author: Salesmate.io
Author URI: https://www.salesmate.io/contact/
Text Domain: gravity-forms-salesmate-add-On
*/

define( 'GF_SALESMATE_VERSION', '2.0' );
if ( ! defined( 'CURL_SSLVERSION_TLSv1_2' ) ) {
     define( 'CURL_SSLVERSION_TLSv1_2', 6 );
}

/*Error log system 7/2/2018*/
function salesmate_gf_activate(){
    global $wpdb;
    $logtable_name = $wpdb->prefix.'salesmatelogs';
    $charset_collate = $wpdb->get_charset_collate();
    $query = "CREATE TABLE $logtable_name (
       id mediumint(9) NOT NULL AUTO_INCREMENT,
       form_id varchar(100),
       fromodule varchar(255),
       errlogs varchar(255),
       trieddata varchar(2000),
       logat datetime,
       PRIMARY KEY  (id)
   );";
   require_once( ABSPATH . 'wp-admin/includes/upgrade.php');
   dbDelta( $query );
    if ( is_admin() && current_user_can( 'activate_plugins' ) &&  !is_plugin_active( 'gravityforms/gravityforms.php' ) ) {
		wp_die( __( 'gravityforms must be installed and activated for the gravityforms salesmate plugin to work', 'textdomain' ) );
	}
}
register_activation_hook( __FILE__, 'salesmate_gf_activate');
/*Error log system 7/2/2018*/

add_action( 'gform_loaded', array( 'GF_Salesmate_Bootstrap', 'load' ), 5 );


class GF_Salesmate_Bootstrap {

    public static function load() {

        
        if ( ! method_exists( 'GFForms', 'include_feed_addon_framework' ) ) {
            return;
        }

        require_once( 'class-gfsalesmate.php' );

        GFAddOn::register( 'GFSalesmate' );

    }

    
}

function gf_salesmate() {
    return GFSalesmate::get_instance();
}
